<?php
$is_enabled = manufaktursolutions_core_get_post_value_through_levels('qodef_blog_single_enable_single_post_navigation');


if ($is_enabled === 'yes') {
    $through_same_category = manufaktursolutions_core_get_post_value_through_levels('qodef_blog_single_post_navigation_through_same_category') === 'yes';
    ?>
    <div id="qodef-single-post-navigation" class="qodef-m">
        <div class="qodef-m-inner">
            <?php
            $post_navigation = array(
                'prev' => array(
                    'label' => '<span class="qodef-m-nav-label">' . esc_html__('Prev post', 'manufaktursolutions-core') . '</span>',
                    'icon' => manufaktursolutions_core_get_svg_icon('pagination-arrow-left', 'qodef-m-pagination-icon'),
                ),
                'next' => array(
                    'label' => '<span class="qodef-m-nav-label">' . esc_html__('Next post', 'manufaktursolutions-core') . '</span>',
                    'icon' => manufaktursolutions_core_get_svg_icon('pagination-arrow-right', 'qodef-m-pagination-icon'),
                )
            );

            if ($through_same_category) {
                if (get_previous_post(true) !== '') {
                    $post_navigation['prev']['post'] = get_previous_post(true);
                }
                if (get_next_post(true) !== '') {
                    $post_navigation['next']['post'] = get_next_post(true);
                }
            } else {
                if (get_previous_post() !== '') {
                    $post_navigation['prev']['post'] = get_previous_post();
                }
                if (get_next_post() !== '') {
                    $post_navigation['next']['post'] = get_next_post();
                }
            }

            foreach ($post_navigation as $key => $value) {
                if (isset($post_navigation[$key]['post'])) {
                    $current_post = $value['post'];
                    $post_id = $current_post->ID;
                    ?>
                    <a itemprop="url" class="qodef-m-nav qodef--<?php echo esc_attr($key); ?>"
                       href="<?php echo get_permalink($post_id); ?>">

                        <span class="qodef-m-nav-image">
								<?php echo get_the_post_thumbnail( $post_id, 'thumbnail' ); ?>
							</span>
                        <span class="qodef-m-nav-info">
							<span class="qodef-m-nav-title">
								<?php echo get_the_title($post_id); ?>
							</span>
                            <span class="qodef-m-nav-content-bottom">
                            <span class="qodef-m-button-arrow-holder">
                                <?php echo qode_framework_wp_kses_html('svg', $value['icon']); ?>
                                <?php echo qode_framework_wp_kses_html('svg', $value['icon']); ?>
                                  </span>
								<?php echo wp_kses($value['label'], array('span' => array('class' => true))); ?>
                            </span>

						</span>
                    </a>
                <?php }
            }
            ?>
        </div>
    </div>
<?php } ?>