(function ($) {
	"use strict";

	$(document).ready(function () {
		qodefSearchCoversHeader.init();
	});

	var qodefSearchCoversHeader = {
		init: function () {
			var $searchOpener = $('a.qodef-search-opener'),
				$searchForm = $('.qodef-search-cover-form'),
				$searchClose = $searchForm.find('.qodef-m-close');

			if ($searchOpener.length && $searchForm.length) {
				$searchOpener.on('click', function (e) {
					e.preventDefault();

					if (qodefCore.body.hasClass('qodef-covers-search--opened')) {
						qodefSearchCoversHeader.closeCoversHeader($searchForm);
					} else {
						qodefSearchCoversHeader.openCoversHeader($searchForm);
					}
				});

				$searchClose.on('click', function (e) {
					e.preventDefault();
					qodefSearchCoversHeader.closeCoversHeader($searchForm);
				});

				$(document).mouseup(function(e) {
					// if the target of the click isn't the search container
					if (qodefCore.body.hasClass('qodef-covers-search--opened') && !$searchForm.is(e.target) && !$searchForm.find('input').is(e.target) && !$searchForm.find('.qodef-m-inner').is(e.target))  {
						qodefSearchCoversHeader.closeCoversHeader($searchForm);
					}
				});
			}
		},
		openCoversHeader: function ($searchForm) {
			qodefCore.body.addClass('qodef-covers-search--opened qodef-covers-search--fadein');
			qodefCore.body.removeClass('qodef-covers-search--fadeout');

			setTimeout(function () {
				$searchForm.find('.qodef-m-form-field').focus();
			}, 300);
		},
		closeCoversHeader: function ($searchForm) {
			qodefCore.body.removeClass('qodef-covers-search--opened qodef-covers-search--fadein');
			qodefCore.body.addClass('qodef-covers-search--fadeout');

			setTimeout(function () {
				$searchForm.find('.qodef-m-form-field').val('');
				$searchForm.find('.qodef-m-form-field').blur();
				qodefCore.body.removeClass('qodef-covers-search--fadeout');
			}, 300);
		}
	};

})(jQuery);
